/*
 * Copyright (C) 2003 Ranjan Ghosh <ghosh@linux>
 */

#ifndef _REGIMP3VIEW_H_
#define _REGIMP3VIEW_H_

#include <qwidget.h>
#include <kparts/part.h>
#include <regimp3iface.h>
#include <qlabel.h>

class QPainter;
class KURL;

/**
 * This is the main view class for regimp3.  Most of the non-menu,
 * non-toolbar, and non-statusbar (e.g., non frame) GUI code should go
 * here.
 *
 * This regimp3 uses an HTML component as an example.
 *
 * @short Main view
 * @author Ranjan Ghosh <ghosh@linux>
 * @version 0.1
 */
class regimp3View : public QWidget, public regimp3Iface
{
    Q_OBJECT
public:
	/**
	 * Default constructor
	 */
    regimp3View(QWidget *parent);

	/**
	 * Destructor
	 */
    virtual ~regimp3View();

    void closeGIMP();

    bool canShutdown;


signals:
    /**
     * Use this signal to change the content of the statusbar
     */
    void signalChangeStatusbar(const QString& text);

    /**
     * Use this signal to change the content of the caption
     */
    void signalChangeCaption(const QString& text);

protected:
    void showEvent(QShowEvent *e);
    void hideEvent(QHideEvent *e);
    void focusInEvent(QFocusEvent *e);
private:
    void activateGIMP();
    QLabel* label1;
    bool gimprunning;
private slots:
    void timerDone();

};

#endif // _REGIMP3VIEW_H_
